NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Tooling.DieEngTrimTaskBuilder Class Reference

Die Engineer trim task management builder, create a trim task by selected die tip, trim bounds, start plane and end plane. More...

Inheritance diagram for NXOpen.Tooling.DieEngTrimTaskBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  TrimTaskCamType { AerialCam, BaseMountedCam, Direct }
 the trim task cam type. More...
 
enum  TrimTaskMatchCutType { None, Start, End, Both }
 the trim task match cut type. More...
 

Public Member Functions

unsafe void SetMatchCutAngle (double angle)
 Sets the match cut dimension angle value. More...
 
unsafe void SetMatchCutFirstRadius (double firstRadius)
 Sets the match cut dimension first radius value. More...
 
unsafe void SetMatchCutNotchOffset (double notchOffset)
 Sets the match cut dimension notch offset value. More...
 
unsafe void SetMatchCutOffsetFromPlane (double offsetFromPlane)
 Sets the match cut dimension offset from plane value. More...
 
unsafe void SetMatchCutOffsetLength (double offsetLength)
 Sets the match cut dimension offset length value. More...
 
unsafe void SetMatchCutScrapCutterLength (double scrapCutterLength)
 Sets the match cut dimension scrap cutter length value. More...
 
unsafe void SetMatchCutSecondRadius (double secondRadius)
 Sets the match cut dimension second radius value. More...
 
unsafe void SetMatchCutThirdRadius (double thirdRadius)
 Sets the match cut dimension third radius value. More...
 
unsafe void SetUsePlaneOffset (bool useOffset)
 Sets the match cut dimension use plane offset value. More...
 
unsafe void SwitchTrimSide ()
 Switch trim side. More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe
NXOpen.Tooling.DieEngTrimTaskBuilder.TrimTaskCamType 
CamType [get, set]
 Returns or sets the cam type. More...
 
unsafe bool CreateScrap [get, set]
 Returns or sets the create scrap. More...
 
unsafe bool EndPlaneSelected [get, set]
 Returns or sets the end plane selected. More...
 
unsafe bool FinishOperation [get, set]
 Returns or sets the finish operation. More...
 
unsafe bool LayoutFlange [get, set]
 Returns or sets the layout flange. More...
 
unsafe
NXOpen.Tooling.DieEngTrimTaskBuilder.TrimTaskMatchCutType 
MatchCut [get, set]
 Returns or sets the match cut. More...
 
unsafe NXOpen.Direction SelectCamDirection [get, set]
 Returns or sets the selected cam direction. More...
 
unsafe
NXOpen.Features.SelectFeature 
SelectDieTip [get]
 Returns the selected die tip. More...
 
unsafe NXOpen.Plane SelectEndPlane [get, set]
 Returns or sets the selected end plane. More...
 
unsafe NXOpen.SelectIBasePlaneList SelectScrapCutters [get]
 Returns the selected scrap cutters. More...
 
unsafe NXOpen.Plane SelectStartPlane [get, set]
 Returns or sets the selected start plane. More...
 
unsafe NXOpen.ScCollector SelectTrimBounds [get]
 Returns the selected trim bounds. More...
 
unsafe bool StartPlaneSelected [get, set]
 Returns or sets the start plane selected. More...
 
unsafe bool TrimDirection [get, set]
 Returns or sets the trim direction. More...
 
unsafe bool TrimNewDieFace [get, set]
 Returns or sets the trim new die face, from NX10. More...
 
unsafe double TrimTolerance [get, set]
 Returns or sets the trim task tolerance. More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Die Engineer trim task management builder, create a trim task by selected die tip, trim bounds, start plane and end plane.

To create a new instance of this class, use NXOpen.Tooling.AutoDieCollection.CreateDieEngTrimTaskBuilder

Created in NX10.0.0

Member Enumeration Documentation

the trim task cam type.

Enumerator
AerialCam 
BaseMountedCam 
Direct 

the trim task match cut type.

Enumerator
None 
Start 
End 
Both 

Member Function Documentation

unsafe void NXOpen.Tooling.DieEngTrimTaskBuilder.SetMatchCutAngle ( double  angle)
inline

Sets the match cut dimension angle value.

Created in NX10.0.0

License requirements: die_engineering ("DIE ENGINEERING")

Parameters
angle
unsafe void NXOpen.Tooling.DieEngTrimTaskBuilder.SetMatchCutFirstRadius ( double  firstRadius)
inline

Sets the match cut dimension first radius value.

Created in NX10.0.0

License requirements: die_engineering ("DIE ENGINEERING")

Parameters
firstRadius
unsafe void NXOpen.Tooling.DieEngTrimTaskBuilder.SetMatchCutNotchOffset ( double  notchOffset)
inline

Sets the match cut dimension notch offset value.

Created in NX10.0.0

License requirements: die_engineering ("DIE ENGINEERING")

Parameters
notchOffset
unsafe void NXOpen.Tooling.DieEngTrimTaskBuilder.SetMatchCutOffsetFromPlane ( double  offsetFromPlane)
inline

Sets the match cut dimension offset from plane value.

Created in NX10.0.0

License requirements: die_engineering ("DIE ENGINEERING")

Parameters
offsetFromPlane
unsafe void NXOpen.Tooling.DieEngTrimTaskBuilder.SetMatchCutOffsetLength ( double  offsetLength)
inline

Sets the match cut dimension offset length value.

Created in NX10.0.0

License requirements: die_engineering ("DIE ENGINEERING")

Parameters
offsetLength
unsafe void NXOpen.Tooling.DieEngTrimTaskBuilder.SetMatchCutScrapCutterLength ( double  scrapCutterLength)
inline

Sets the match cut dimension scrap cutter length value.

Created in NX10.0.0

License requirements: die_engineering ("DIE ENGINEERING")

Parameters
scrapCutterLength
unsafe void NXOpen.Tooling.DieEngTrimTaskBuilder.SetMatchCutSecondRadius ( double  secondRadius)
inline

Sets the match cut dimension second radius value.

Created in NX10.0.0

License requirements: die_engineering ("DIE ENGINEERING")

Parameters
secondRadius
unsafe void NXOpen.Tooling.DieEngTrimTaskBuilder.SetMatchCutThirdRadius ( double  thirdRadius)
inline

Sets the match cut dimension third radius value.

Created in NX10.0.0

License requirements: die_engineering ("DIE ENGINEERING")

Parameters
thirdRadius
unsafe void NXOpen.Tooling.DieEngTrimTaskBuilder.SetUsePlaneOffset ( bool  useOffset)
inline

Sets the match cut dimension use plane offset value.

Created in NX10.0.0

License requirements: die_engineering ("DIE ENGINEERING")

Parameters
useOffset
unsafe void NXOpen.Tooling.DieEngTrimTaskBuilder.SwitchTrimSide ( )
inline

Switch trim side.

When trim profile and trim planes are selected, there will be a default trim side, if the other side want to be trimmed out, should call this to switch it.

Created in NX10.0.0

License requirements: die_engineering ("DIE ENGINEERING")

Property Documentation

unsafe NXOpen.Tooling.DieEngTrimTaskBuilder.TrimTaskCamType NXOpen.Tooling.DieEngTrimTaskBuilder.CamType
getset

Returns or sets the cam type.

Created in NX10.0.0

License requirements to get this property: die_engineering ("DIE ENGINEERING")

License requirements to set this property: die_engineering ("DIE ENGINEERING")

unsafe bool NXOpen.Tooling.DieEngTrimTaskBuilder.CreateScrap
getset

Returns or sets the create scrap.

Created in NX10.0.0

License requirements to get this property: die_engineering ("DIE ENGINEERING")

License requirements to set this property: die_engineering ("DIE ENGINEERING")

unsafe bool NXOpen.Tooling.DieEngTrimTaskBuilder.EndPlaneSelected
getset

Returns or sets the end plane selected.

Created in NX10.0.0

License requirements to get this property: die_engineering ("DIE ENGINEERING")

License requirements to set this property: die_engineering ("DIE ENGINEERING")

unsafe bool NXOpen.Tooling.DieEngTrimTaskBuilder.FinishOperation
getset

Returns or sets the finish operation.

Created in NX10.0.0

License requirements to get this property: die_engineering ("DIE ENGINEERING")

License requirements to set this property: die_engineering ("DIE ENGINEERING")

unsafe bool NXOpen.Tooling.DieEngTrimTaskBuilder.LayoutFlange
getset

Returns or sets the layout flange.

Created in NX10.0.0

License requirements to get this property: die_engineering ("DIE ENGINEERING")

License requirements to set this property: die_engineering ("DIE ENGINEERING")

unsafe NXOpen.Tooling.DieEngTrimTaskBuilder.TrimTaskMatchCutType NXOpen.Tooling.DieEngTrimTaskBuilder.MatchCut
getset

Returns or sets the match cut.

Created in NX10.0.0

License requirements to get this property: die_engineering ("DIE ENGINEERING")

License requirements to set this property: die_engineering ("DIE ENGINEERING")

unsafe NXOpen.Direction NXOpen.Tooling.DieEngTrimTaskBuilder.SelectCamDirection
getset

Returns or sets the selected cam direction.

Created in NX10.0.0

License requirements to get this property: die_engineering ("DIE ENGINEERING")

License requirements to set this property: die_engineering ("DIE ENGINEERING")

unsafe NXOpen.Features.SelectFeature NXOpen.Tooling.DieEngTrimTaskBuilder.SelectDieTip
get

Returns the selected die tip.

Created in NX10.0.0

License requirements: die_engineering ("DIE ENGINEERING")

unsafe NXOpen.Plane NXOpen.Tooling.DieEngTrimTaskBuilder.SelectEndPlane
getset

Returns or sets the selected end plane.

Created in NX10.0.0

License requirements to get this property: die_engineering ("DIE ENGINEERING")

License requirements to set this property: die_engineering ("DIE ENGINEERING")

unsafe NXOpen.SelectIBasePlaneList NXOpen.Tooling.DieEngTrimTaskBuilder.SelectScrapCutters
get

Returns the selected scrap cutters.

Created in NX10.0.0

License requirements: die_engineering ("DIE ENGINEERING")

unsafe NXOpen.Plane NXOpen.Tooling.DieEngTrimTaskBuilder.SelectStartPlane
getset

Returns or sets the selected start plane.

Created in NX10.0.0

License requirements to get this property: die_engineering ("DIE ENGINEERING")

License requirements to set this property: die_engineering ("DIE ENGINEERING")

unsafe NXOpen.ScCollector NXOpen.Tooling.DieEngTrimTaskBuilder.SelectTrimBounds
get

Returns the selected trim bounds.

Created in NX10.0.0

License requirements: die_engineering ("DIE ENGINEERING")

unsafe bool NXOpen.Tooling.DieEngTrimTaskBuilder.StartPlaneSelected
getset

Returns or sets the start plane selected.

Created in NX10.0.0

License requirements to get this property: die_engineering ("DIE ENGINEERING")

License requirements to set this property: die_engineering ("DIE ENGINEERING")

unsafe bool NXOpen.Tooling.DieEngTrimTaskBuilder.TrimDirection
getset

Returns or sets the trim direction.

Created in NX10.0.0

License requirements to get this property: die_engineering ("DIE ENGINEERING")

License requirements to set this property: die_engineering ("DIE ENGINEERING")

unsafe bool NXOpen.Tooling.DieEngTrimTaskBuilder.TrimNewDieFace
getset

Returns or sets the trim new die face, from NX10.

0 new stamping output can import one new die face to die engineer process. If this trim task will trim this new die face, set trimNewDieFace to true, or else set it to false.

Created in NX10.0.0

License requirements to get this property: die_engineering ("DIE ENGINEERING")

License requirements to set this property: die_engineering ("DIE ENGINEERING")

unsafe double NXOpen.Tooling.DieEngTrimTaskBuilder.TrimTolerance
getset

Returns or sets the trim task tolerance.

Created in NX10.0.0

License requirements to get this property: die_engineering ("DIE ENGINEERING")

License requirements to set this property: die_engineering ("DIE ENGINEERING")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.